Summary:	Graphical tool to access EXIF extensions in JPEG files
Name:		gexif
Version:	0.5
Release:	1mdk
License:	GPL
Group:		Graphics

Source:		http://belnet.dl.sourceforge.net/sourceforge/libexif/gexif-0.5.tar.bz2
Source1:        gphoto-icons.tar.bz2

Url:		http://sourceforge.net/projects/libexif
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	libexif8 libexif-gtk4 popt
BuildRequires:	libexif8-devel libexif-gtk4-devel popt-devel

%description

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

This package contains a graphical frontend for the EXIF library.

%prep

%setup -q

%build

%configure

%make

%install
%makeinstall
%find_lang %{name}

# menu stuff
install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > %buildroot/%_menudir/gexif
?package(gexif):command="/usr/bin/gexif" \
title="GEXIF - View and edit EXIF info in JPEG images" \
longtitle="View and edit the info which digital cameras add to your photos" \
needs="x11" \
section="Multimedia/Graphics" \
icon="graphics_section.png"
EOF

# icons
install -d $RPM_BUILD_ROOT%{_datadir}/icons
bzcat %{SOURCE1}|tar xf - -C $RPM_BUILD_ROOT%{_datadir}/icons
( cd $RPM_BUILD_ROOT%{_datadir}/icons
  mv gphoto.xpm gexif.xpm
  cd large
  mv gphoto.xpm gexif.xpm
  cd ../mini
  mv gphoto.xpm gexif.xpm
)

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_bindir/*
%_datadir/icons/*
%_menudir/*

%changelog

* Fri Jan 17 2003 Till Kamppeter <till@mandrakesoft.com> 0.5-1mdk
- Updated to version 0.5.

* Fri Aug  2 2002 Till Kamppeter <till@mandrakesoft.com> 0.4-1mdk
- Updated to version 0.4.

* Sun Jul 21 2002 Till Kamppeter <till@mandrakesoft.com> 0.3-3mdk
- Fixed typo in menu.

* Sun Jul 21 2002 Till Kamppeter <till@mandrakesoft.com> 0.3-2mdk
- Corrected group.

* Fri Jul 19 2002 Till Kamppeter <till@mandrakesoft.com> 0.3-1mdk
- Initial release
